% TGexpf1.m: calculate the tonic gain needed by the NI
  
% Written by:  Jonathan Jacobs
%              October 1998  (last mod: 10/23/98)

function out = efun( in )

sgn = sign(in);
in = abs(in);

if in < 5            %% Pulse height for 5 degrees
   out = sgn*3.5;
   return
end

%% for 5 degrees and higher we calculate an exponential

c(1)=-5.520531098;
c(2)=7.662339524;
 
lambda(1)=0.06750921169;
lambda(2)=0.006768694806;

numcoeff = length(lambda);

out=0;
for i = 1:numcoeff
   out =  out + c(i)*exp(-lambda(i)*in);
end

out = sgn*out;