% loadmdlp.m: called by the CN/LMLN Simulink model to load
% in the programatically settable parameters.
% NOTE: to use, add 'loadmdlp' (without the quotes) to the
% "Initialization commands" field in the "Initialization"
% tab in the mask of a compatible model.
%
% See also SETMDLP and SHOWTPS

% Written by:  Jonathan Jacobs
%              December 1999 - May 2013 (last mod: 05/31/13) 

% updated to work with modern MATLAB requirements for 3rd-party toolbox locations
% updated to 26-variable model

global mdlparamlist

currentdir=pwd;
cd(findomprefs)
load mdlparams.mat
cd(currentdir)

% add a little protection against missing parameters when
% loading an out-of-date parameter set 
mdlparamlist = [mdlparamlist, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];

pmcgain  = mdlparamlist(1);
pmctau2  = mdlparamlist(2);
pmctau3  = mdlparamlist(3);
velnoise = mdlparamlist(4);

cnsgain     = mdlparamlist(5);
tonicgain   = mdlparamlist(6);
phasicgain  = mdlparamlist(7);
saccrefract = mdlparamlist(8);

spgain      = mdlparamlist(9);
alexlaw     = mdlparamlist(10);
velreconsw  = mdlparamlist(11);
ltdrk       = mdlparamlist(12);

fs_onoff    = mdlparamlist(13);
fs_scale    = mdlparamlist(14);
fsdelaycalc = mdlparamlist(15);
bs_onoff    = mdlparamlist(16);
bs_scale    = mdlparamlist(17);
bsfsvcrit   = mdlparamlist(18);
bsfsacrit   = mdlparamlist(19);
saccsw      = mdlparamlist(20);
null        = mdlparamlist(21); %#ok<NASGU>
null        = mdlparamlist(22); %#ok<NASGU>
null        = mdlparamlist(23);
Attention_Level   = mdlparamlist(24);  %% joel freaks out, corrects with * -1. why?
Tentomy_Effect    = mdlparamlist(25);
G_Angle_Variation = mdlparamlist(26);

if mdlparamlist(11) == 0
   tvrN = 1;
   tvrD = 0;
 else
   tvrN = mdlparamlist(11);
   tvrD = 1;
end
